/* -*- mode: C -*- Time-stamp: "06-Apr-2008 13:40:52 Anish Patil"
 *
 *       File:         tsuite-time.c
 *       Date:         Sun Apr  6 13:38:56 IST 2008
 *
 *       GNU PDF Library - Testcase definition for the Time module
 *
 */

/* Copyright (C) 2008 Free Software Foundation, Inc. */

/* This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <check.h>

extern TCase *test_pdf_time_add_cal_span (void);
extern TCase *test_pdf_time_clear (void);
extern TCase *test_pdf_time_copy (void);
extern TCase *test_pdf_time_destroy (void);
extern TCase *test_pdf_time_dup (void);
extern TCase *test_pdf_time_new (void);
extern TCase *test_pdf_time_sub_cal_span (void);


Suite *
tsuite_list ()
{
  Suite *s;

  s = suite_create("time");
  
  suite_add_tcase (s,test_pdf_time_new());
  suite_add_tcase (s, test_pdf_time_dup());
  suite_add_tcase (s, test_pdf_time_destroy());
  suite_add_tcase (s, test_pdf_time_copy());
  suite_add_tcase (s, test_pdf_time_clear());
  suite_add_tcase (s, test_pdf_time_add_cal_span());
  suite_add_tcase (s, test_pdf_time_sub_cal_span());
  
  return s;
}


/* End of tsuite-time.c */
